<script>
export default {
  name: "Calculator",
  props: [
    "currencySwitch",
    "price",
    "tip",
    "minTip",
    "maxTip",
    "people",
    "minPeople",
    "maxPeople",
  ],
  data: () => ({
    money: {
      decimal: ".",
      thousands: "",
      precision: 2,
      masked: false,
    },
  }),
  computed: {
    _currencySwitch: {
      get() {
        return this.currencySwitch;
      },
      set(newValue) {
        this.$emit("update:currencySwitch", newValue);
      },
    },
    _price: {
      get() {
        return this.price;
      },
      set(newValue) {
        this.$emit("update:price", newValue);
      },
    },
    _tip: {
      get() {
        return this.tip;
      },
      set(newValue) {
        this.$emit("update:tip", newValue);
      },
    },
    _people: {
      get() {
        return this.people;
      },
      set(newValue) {
        this.$emit("update:people", newValue);
      },
    },
  },
};
</script>

<template>
  <v-container>
    <v-row align="center" justify="center" no-gutters>
      <v-col class="py-4" cols="6" xl="4" lg="6" md="8" sm="8" xs="12">
        <v-row align="center" justify="center" no-gutters>
          <v-col><p class="mb-0 text-center">EUR</p></v-col>
          <v-col><v-switch v-model="_currencySwitch" inset></v-switch></v-col>
          <v-col><p class="mb-0">USD</p></v-col>
        </v-row>
      </v-col>
      <v-col class="py-4" cols="12">
        <v-row align="center" justify="space-between" no-gutters>
          <v-col><p class="mb-0">Valor</p></v-col>
          <v-col
            ><v-text-field
              prepend-icon="mdi-currency-usd"
              outlined
              hide-details
              dense
              v-model.lazy="_price"
              v-money="money"
            ></v-text-field
          ></v-col>
        </v-row>
      </v-col>
      <v-col class="py-4" cols="12">
        <p class="mb-0">Gorjeta: {{ _tip }}%</p>
        <v-slider step="1" v-model="_tip" :max="maxTip" :min="minTip">
          <template v-slot:prepend>
            <span>{{ minTip }}</span>
          </template>

          <template v-slot:append>
            <span>{{ maxTip }}</span>
          </template>
        </v-slider>
      </v-col>
      <v-col class="py-4" cols="12">
        <p class="mb-0">Pessoas: {{ _people }}</p>
        <v-slider step="1" v-model="_people" :max="maxPeople" :min="minPeople">
          <template v-slot:prepend>
            <span>{{ minPeople }}</span>
          </template>

          <template v-slot:append>
            <span>{{ maxPeople }}</span>
          </template>
        </v-slider>
      </v-col>
    </v-row>
  </v-container>
</template>
